Bug 1321643 - Bug in /etc/profile.d/colorls.sh when using the ksh shell [el6]
Summary: Bug in /etc/profile.d/colorls.sh when using the ksh shell [el6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: coreutils
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Kamil Dudka
QA Contact: Jakub Prokes
URL:
Whiteboard:
Depends On: 1321648
Blocks: 1269194
TreeView+ depends on / blocked
 
Reported: 2016-03-28 18:08 UTC by Paulo Andrade
Modified: 2019-12-16 05:34 UTC (History)
4 users (show)

Fixed In Version: coreutils-8.4-44.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1321648 (view as bug list)
Environment:
Last Closed: 2017-03-21 10:08:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0654 normal SHIPPED_LIVE Moderate: coreutils security and bug fix update 2017-03-21 12:33:06 UTC

Description Paulo Andrade 2016-03-28 18:08:37 UTC
The problem happens in other profile.d files, and also
in rhel7.

  The issue is that ksh does not set PS1 until reading
profile/initialization files, and only sets it if it is
unset.

  Some initialization files in /etc/profile.d use the
pattern:

# Skip all for noninteractive shells.
[ -z "$PS1" ] && return

at the start of the file, what does not work for ksh.

  I believe this is not a reason to rework ksh
initialization, and the logic should be changed to
check if fd 0 is a tty, for example, as suggested by
the user:

[ ! -t 0 ] && return

or some variant, checking for the "i" character in $-

Comment 2 Ondrej Vasik 2016-03-28 18:37:46 UTC
Makes sense - https://bugzilla.redhat.com/show_bug.cgi?id=614694 was about the same in the setup package, fixing this issue in /etc/profile, but profile.d scripts were never modified the same way.

Comment 11 errata-xmlrpc 2017-03-21 10:08:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0654.html


Note You need to log in before you can comment on or make changes to this bug.